# easy-maths-js

## Les maths deviennent simple en JavaScript !

Utilisation
```js

const maths = require('easy-maths')
const calculator = new maths.Calculator() // Création d'un objet qui est égal a 0 au début
console.log(calculator.getValue()) // Retourne la valeur du calculator (0)
calculator.setValue(2)
console.log(calculator.getValue()) // Retourne la valeur du calculator (2)
calculator.multiply(2) // Multiplie la valeur du calculator (2) par 2 = 4
console.log(calculator.getValue()) // Retourne la valeur du calculator (4)

// Partie maths 
console.log(maths.add(1, 1)) // Retourne 1 + 1 dans la console (1)
console.log(maths.sub(1, 1)) // Retourne 1 - 1 dans la console (0)
console.log(maths.multiply(2, 2)) // Retourne 2 x 2 dans la console (4)
console.log(maths.divide(2, 2)) // Retourne 2 / 2 dans la console (Q = 1, R = 0)

// Maths approfondis
const A = 10
const B = 20
console.log(maths.approfondis.hypoténuse(A, B)) // Retourne l'hypoténuse du triangle ABC (C = 22.360679774997898)

console.log(maths.approfondis.auCarré(10)) // Retourne 10² (10 au carré) (10² = 100)
```

*Produit pouvant contenir des publicités*

liamgen - 2021